Bug 1017490 - Could not use new password login after upgrade
Could not use new password login after upgrade
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.4.0
Assigned To: Fabian Deutsch
bugs@ovirt.org
node
: Regression
Depends On: 1017104
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 23:04 EDT by haiyang,dong
Modified: 2014-03-31 08:30 EDT (History)
15 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-beta1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1017104
Environment:
Last Closed: 2014-03-31 08:30:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20052 None None None Never

  None (edit)
Description haiyang,dong 2013-10-09 23:04:45 EDT
+++ This bug was initially created as a clone of Bug #1017104 +++

Description of problem:
Upgrade from 6.4 to 6.5, set new password on TUI. But could not use this password to login after reboot, the old one works.


Version-Release number of selected component (if applicable):
Rhev-hypervisor6-6.5-20130930.0.auto665

How reproducible:
100%

Steps to Reproduce:
1. Install rhevh 6.4
2. Upgrade to 6.5 via TUI.
3. Set new password.
4. Login with the new password.

Actual results:
Could not login with the new password, but the old can.

Expected results:
Login with new password successful.

Additional info:

--- Additional comment from RHEL Product and Program Management on 2013-10-09 05:46:56 EDT ---

Since this bug report was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from RHEL Product and Program Management on 2013-10-09 06:32:21 EDT ---

This bugzilla has Keywords: Regression or TestBlocker.

Since no regressions or test blockers are allowed between releases,
it is also being [proposed|marked] as a blocker for this release.

Please resolve ASAP.
Comment 1 haiyang,dong 2013-10-09 23:09:06 EDT
Could reproduce it in ovirt-node upstream:
ovirt-node-iso-3.1.0-0.999.999.20131009172634gita4c350a.947.fc18.iso
Comment 2 haiyang,dong 2013-10-09 23:10:39 EDT
Fix upgrade admin password failed issue patch:
http://gerrit.ovirt.org/#/c/20052/
Comment 3 Sandro Bonazzola 2014-01-27 08:50:25 EST
This should be fixed in oVirt 3.4.0 beta1 build
Comment 4 haiyang,dong 2014-03-02 22:21:25 EST
Test version:
ovirt-node-iso-3.0.4-1.0.201401291204.el6.iso

Test steps:
1. Install rhevh 6.4
2. Upgrade to 6.5 via TUI.
3. Set new password.
4. Login with the new password.

Test results:
Login with new password successful

so this bug has been fixed, change the status into "verified"
Comment 5 Sandro Bonazzola 2014-03-31 08:30:47 EDT
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released

Note You need to log in before you can comment on or make changes to this bug.